@web-font-path: "roboto-debian.css";
v2.2.0 (RP2040)
Loading...
Searching...
No Matches
stdio.h File Reference
`#include "pico.h"`
`#include <stdarg.h>`
Include dependency graph for stdio.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | PICO_STDOUT_MUTEX 1
#define | PICO_STDIO_ENABLE_CRLF_SUPPORT 1
#define | PICO_STDIO_DEFAULT_CRLF 1
#define | PICO_STDIO_STACK_BUFFER_SIZE 128
#define | PICO_STDIO_DEADLOCK_TIMEOUT_MS 1000
#define | PICO_STDIO_SHORT_CIRCUIT_CLIB_FUNCS 1

## Typedefs

typedef struct stdio_driver | stdio_driver_t

## Functions

bool | stdio_init_all (void)
| Initialize all of the present standard stdio types that are linked into the binary.
bool | stdio_deinit_all (void)
| Deinitialize all of the present standard stdio types that are linked into the binary.
void | stdio_flush (void)
| Flushes any buffered output.
int | stdio_getchar_timeout_us (uint32_t timeout_us)
| Return a character from stdin if there is one available within a timeout.
static int | getchar_timeout_us (uint32_t timeout_us)
| Alias for stdio_getchar_timeout_us for backwards compatibility.
void | stdio_set_driver_enabled (stdio_driver_t *driver, bool enabled)
| Adds or removes a driver from the list of active drivers used for input/output.
void | stdio_filter_driver (stdio_driver_t *driver)
| Control limiting of output to a single driver.
void | stdio_set_translate_crlf (stdio_driver_t *driver, bool translate)
| control conversion of line feeds to carriage return on transmissions
int | stdio_putchar_raw (int c)
| putchar variant that skips any CR/LF conversion if enabled
static int | putchar_raw (int c)
| Alias for stdio_putchar_raw for backwards compatibility.
int | stdio_puts_raw (const char *s)
| puts variant that skips any CR/LF conversion if enabled
static int | puts_raw (const char *s)
| Alias for stdio_puts_raw for backwards compatibility.
void | stdio_set_chars_available_callback (void(*fn)(void *), void *param)
| get notified when there are input characters available
int | stdio_get_until (char *buf, int len, absolute_time_t until)
| Waits until a timeout to read at least one character into a buffer.
int | stdio_put_string (const char *s, int len, bool newline, bool cr_translation)
| Prints a buffer to stdout with optional newline and carriage return insertion.
int | stdio_getchar (void)
| Alias for getchar that definitely does not go thru the implementation in the standard C library even when PICO_STDIO_SHORT_CIRCUIT_CLIB_FUNCS == 0.
int | stdio_putchar (int)
| Alias for putchar that definitely does not go thru the implementation in the standard C library even when PICO_STDIO_SHORT_CIRCUIT_CLIB_FUNCS == 0.
int | stdio_puts (const char *s)
| Alias for puts that definitely does not go thru the implementation in the standard C library even when PICO_STDIO_SHORT_CIRCUIT_CLIB_FUNCS == 0.
int | stdio_vprintf (const char *format, va_list va)
| Alias for vprintf that definitely does not go thru the implementation in the standard C library even when PICO_STDIO_SHORT_CIRCUIT_CLIB_FUNCS == 0.
int | __printflike (1, 0) stdio_printf(const char *format
| Alias for printf that definitely does not go thru the implementation in the standard C library even when PICO_STDIO_SHORT_CIRCUIT_CLIB_FUNCS == 0.